Upstream information

CVE-2022-21724 at MITRE

Description

pgjdbc is the offical PostgreSQL JDBC Driver. A security hole was found in the jdbc driver for postgresql database while doing security research. The system using the postgresql library will be attacked when attacker control the jdbc url or properties. pgjdbc instantiates plugin instances based on class names provided via `authenticationPluginClassName`, `sslhostnameverifier`, `socketFactory`, `sslfactory`, `sslpasswordcallback` connection properties. However, the driver did not verify if the class implements the expected interface before instantiating the class. This can lead to code execution loaded via arbitrary classes. Users using plugins are advised to upgrade. There are no known workarounds for this issue.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1195561 [IN_PROGRESS], 1204789 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for SUSE Manager Server 4.1
SUSE Manager Server 4.1
  • postgresql-jdbc >= 42.2.10-150200.3.8.2
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.1-2022-2145


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 postgresql-jdbc Not affected
SUSE Enterprise Storage 7.1 postgresql-jdbc Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 postgresql-jdbc Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 postgresql-jdbc Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS postgresql-jdbc Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS postgresql-jdbc Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 postgresql-jdbc Already fixed
SUSE Linux Enterprise Module for SUSE Manager Server 4.1 postgresql-jdbc Released
SUSE Linux Enterprise Module for SUSE Manager Server 4.2 postgresql-jdbc Affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 postgresql-jdbc Affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 postgresql-jdbc Already fixed
SUSE Linux Enterprise Real Time 15 SP3 postgresql-jdbc Affected
SUSE Linux Enterprise Server 11 SP1 postgresql-jdbc Not affected
SUSE Linux Enterprise Server 11 SP3 postgresql-jdbc Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS postgresql-jdbc Not affected
SUSE Linux Enterprise Server 11 SP4 postgresql-jdbc Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP1 postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP2 postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP2-BCL postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP3 postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP3-BCL postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP4 postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS postgresql-jdbc Not affected
SUSE Linux Enterprise Server 12 SP5 postgresql-jdbc Not affected
SUSE Linux Enterprise Server 15 SP3 postgresql-jdbc Affected
SUSE Linux Enterprise Server 15 SP4 postgresql-jdbc Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 postgresql-jdbc Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 postgresql-jdbc Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 postgresql-jdbc Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 postgresql-jdbc Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 postgresql-jdbc Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 postgresql-jdbc Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 postgresql-jdbc Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 postgresql-jdbc Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 postgresql-jdbc Already fixed
SUSE Manager Proxy 4.2 postgresql-jdbc Affected
SUSE Manager Proxy 4.3 postgresql-jdbc Already fixed
SUSE Manager Retail Branch Server 4.2 postgresql-jdbc Affected
SUSE Manager Retail Branch Server 4.3 postgresql-jdbc Already fixed
SUSE Manager Server 4.1 postgresql-jdbc Released
SUSE Manager Server 4.1 release-notes-susemanager Released
SUSE Manager Server 4.2 postgresql-jdbc Affected
SUSE Manager Server 4.3 postgresql-jdbc Already fixed
SUSE Manager Server Module 4.1 postgresql-jdbc Released
SUSE Manager Server Module 4.2 postgresql-jdbc Affected
SUSE Manager Server Module 4.3 postgresql-jdbc Already fixed
SUSE OpenStack Cloud 7 postgresql-jdbc Not affected
SUSE OpenStack Cloud 8 postgresql-jdbc Not affected
SUSE OpenStack Cloud 9 postgresql-jdbc Not affected
SUSE OpenStack Cloud Crowbar 8 postgresql-jdbc Not affected
SUSE OpenStack Cloud Crowbar 9 postgresql-jdbc Not affected


SUSE Timeline for this CVE

CVE page created: Wed Feb 2 15:00:17 2022
CVE page last modified: Thu Dec 1 12:57:35 2022